<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5
Name: Befund Bildgebende Diagnostik
Description: Template Spezieller Implementierungsleitfaden ELGA Befund Bildgebende Diagnostik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.5-2013-04-17T000000">
   <title>Befund Bildgebende Diagnostik</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']"
         id="tmp-r-771c37e2-7055-4e6a-a138-42eb3df0aa34">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&gt;=1 ">(BefundBildgebendeDiagnostik): Element hl7:templateId[@root='1.2.40.0.34.11.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:templateId[@root='1.2.40.0.34.11.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:title)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:participant[@typeCode='CALLBCK'])&gt;=1 and not(hl7:participant[@typeCode='CALLBCK']/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:participant[@typeCode='CALLBCK'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:participant[@typeCode='REF'])&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:participant[@typeCode='REF'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:documentationOf ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:templateId[@root='1.2.40.0.34.11.5']
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:templateId[@root='1.2.40.0.34.11.5']"
         id="tmp-r-dca88151-0c54-4446-8837-1fb9e9830995">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@root)=('1.2.40.0.34.11.5')">(BefundBildgebendeDiagnostik): Der Wert von @root MUSS '1.2.40.0.34.11.5' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-440b123d-35f7-45ac-a959-054b8c1b3606">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(BefundBildgebendeDiagnostik): Der Elementinhalt MUSS einer von 'ELGA_Dokumentenklassen (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.40.0.34.10.39-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(BefundBildgebendeDiagnostik): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_Dokumentenklassen (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:title
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:title"
         id="tmp-r-bb2450bc-70dc-4152-a0dd-fc6bea55941b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']"
         id="tmp-r-83305cab-3fe3-4c56-9610-9e580f6040bf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@typeCode)=('CALLBCK')">(BefundBildgebendeDiagnostik): Der Wert von @typeCode MUSS 'CALLBCK' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity"
         id="tmp-r-bfe65c5c-0bf6-4e32-8cf3-c1b0c3b5ada9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@classCode)=('PROV')">(BefundBildgebendeDiagnostik): Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:addr)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:addr
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:addr"
         id="tmp-r-0100fda6-292d-4882-9efb-55a59112da31">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:telecom
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-dce3c0ec-24f5-4513-a93e-252ff7c9efdd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-285e5936-f2f5-47a6-ba67-b0bba901912a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(BefundBildgebendeDiagnostik): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(BefundBildgebendeDiagnostik): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (PersonElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-ef6252d9-70b6-428f-a781-86e05366f57b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-r-81a0bb41-7cb7-4969-8cc9-3367ce8852a6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(BefundBildgebendeDiagnostik): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(BefundBildgebendeDiagnostik): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:addr)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-r-ccf6091b-8630-4894-bc8a-321d9930bb6c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-r-68a5ebf6-612e-46bd-b8d7-7cfeedc7cbc4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-r-e0ec60a8-852e-4e7f-a0b8-b2166aebdf6e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-r-670e8a46-a770-4d19-b412-2dc6c45ee23e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']"
         id="tmp-r-36cd46cb-5a60-45ba-b6bb-9a6a6bbdcbae">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@typeCode)=('REF')">(BefundBildgebendeDiagnostik): Der Wert von @typeCode MUSS 'REF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity"
         id="tmp-r-d88221c8-f228-43f5-b857-21130fa923b4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@classCode)=('PROV')">(BefundBildgebendeDiagnostik): Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:addr)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id"
         id="tmp-r-21e8d7ab-5db0-4fb2-97dc-12afbac3321f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr"
         id="tmp-r-e22b0f24-5263-4de6-b9fc-368bad09eda1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-6cc23651-9ebc-4c5f-83ac-e3868abf34f0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-fe9f6a04-3e0b-4a56-a6a2-b711136305aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(BefundBildgebendeDiagnostik): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(BefundBildgebendeDiagnostik): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (PersonElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-8f55c090-2269-4460-b22f-cecb93757b88">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-r-73e8dda0-ce16-420f-a042-2c939e7493b8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(BefundBildgebendeDiagnostik): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(BefundBildgebendeDiagnostik): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:name)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:addr)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-r-ce9f944f-cb71-4ef2-b197-a3bb197d6ea4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-r-57f8d849-334f-4cae-aaa9-11982b01812d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-r-a7709446-9f6f-4bd2-bf3c-85914ff5538f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-r-1aaaf46c-ab8d-44e3-bd31-786e420db749">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf"
         id="tmp-r-007e3e6a-8efe-4309-b015-150b321b96c0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']])&gt;=1 and not(hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]"
         id="tmp-r-1b69c58e-7fd3-4014-af11-c0ec9a3e18c0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:code[@codeSystem='1.2.40.0.34.5.38'])&gt;=1 and not(hl7:code[@codeSystem='1.2.40.0.34.5.38']/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:code[@codeSystem='1.2.40.0.34.5.38'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:code[@codeSystem='1.2.40.0.34.5.38'])&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:code[@codeSystem='1.2.40.0.34.5.38'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:code[@codeSystem='1.2.40.0.34.5.38']
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:code[@codeSystem='1.2.40.0.34.5.38']"
         id="tmp-r-5c11b0b1-37f6-4265-8a92-8fcb28d1a44c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.38' and @codeSystemName='APPC')">(BefundBildgebendeDiagnostik): Der Elementinhalt MUSS einer von 'codeSystem '1.2.40.0.34.5.38' codeSystemName='APPC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:effectiveTime
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:effectiveTime"
         id="tmp-r-55759e0e-1b9e-4b1e-9585-26dcdad2691b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:low)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:high)&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:effectiveTime/hl7:low
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-fe0adddf-c6a0-48e1-8954-efb5b959283e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:effectiveTime/hl7:high
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-f4925fa7-c17c-4d3d-adb2-5891fb8b214c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundBildgebendeDiagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']"
         id="tmp-r-6340ba86-73e6-47b6-a4e4-61210c3a13ff">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">(BefundBildgebendeDiagnostik): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">(BefundBildgebendeDiagnostik): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: (BefundBildgebendeDiagnostik)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent[hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:performer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.7']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']"
         id="tmp-r-de7394e9-d276-4346-b450-dd4406c53178">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151020T150413/tmp-1.2.40.0.34.11.5-2013-04-17T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.3.3.1.7')">(BefundBildgebendeDiagnostik): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.3.3.1.7' sein.</assert>
   </rule>
</pattern>
